Get Brand Info

Artists whose audience is interested in a brand, with Instagram follower/liker overlap and affinity. Sortable by any of followers, likers, follower_overlap, liker_overlap, follower_affinity, liker_affinity.

Path Parameters
  • brandId
    Type: integer
    min:  
    0
    max:  
    2147483647
    required

    Chartmetric brand ID.

Query Parameters
  • sortColumn
    Type: string enum

    Column used to sort artists. One of followers, likers, follower_overlap, liker_overlap, follower_affinity, liker_affinity. Defaults to followers.

    values
    • followers
    • likers
    • follower_overlap
    • liker_overlap
    • follower_affinity
    • liker_affinity
  • sortOrderDesc
    Type: boolean

    If true (default), sort sortColumn in descending order.

  • limit
    Type: integer
    min:  
    1
    max:  
    50

    Maximum number of artists to return. Defaults to 10, max 50.

  • offset
    Type: integer
    min:  
    0

    Number of items to skip from the start of the result set; pair with limit to paginate.

Responses
  • application/json
Request Example for get/api/brand/{brandId}
curl https://api.chartmetric.com/api/brand/0 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "obj": {
    "brandName": "Apple",
    "total": 98864,
    "artists": [
      {
        "id": "74419",
        "code2": "US",
        "name": "XXXTENTACION",
        "genres": [
          "Hip-Hop/Rap",
          "Pop"
        ],
        "image_url": "https://rovimusic.rovicorp.com/image.jpg?c=yuv5C_kbffM_HzyztzV8fAJZhG49AlXxcRVo_RfD3cE=&f=4",
        "instagram_followers": {
          "total": 20578742,
          "overlap": 1858034,
          "overlap_percent": 0.09028899822933782,
          "affinity": 1.07031695578559
        },
        "instagram_likers": {
          "average": 29561689,
          "overlap": 1776398,
          "overlap_percent": 0.060091221445432295,
          "affinity": 0.9514696637904785
        }
      }
    ]
  }
}